Bug 441310 - add desktop subpackage to wine for tighter control over execution
add desktop subpackage to wine for tighter control over execution
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 10:33 EDT by Greg Diebel
Modified: 2008-06-26 04:34 EDT (History)
0 users

See Also:
Fixed In Version: 1.0-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 04:31:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Changed wine spec file for desktop subpackage (42.80 KB, text/x-rpm-spec)
2008-04-07 10:33 EDT, Greg Diebel
no flags Details

  None (edit)
Description Greg Diebel 2008-04-07 10:33:50 EDT
I propose that wine package add another subpackage called wine-desktop. This
package will contain desktop integration features including the service to
launch .exe files and desktop files. This package will be required for the wine
metapackage and as such will not change the behavior for normal wine usage. It
will, however, allow for tighter control over what wine is allowed to run.
Comment 1 Greg Diebel 2008-04-07 10:33:50 EDT
Created attachment 301526 [details]
Changed wine spec file for desktop subpackage
Comment 2 Bug Zapper 2008-05-14 05:05:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2008-06-17 15:37:02 EDT
wine-docs-1.0-1.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-06-17 15:41:13 EDT
wine-docs-1.0-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-06-17 15:42:08 EDT
wine-docs-1.0-1.fc7 has been submitted as an update for Fedora 7
Comment 6 Fedora Update System 2008-06-20 15:08:08 EDT
wine-1.0-1.fc8, wine-docs-1.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine wine-docs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5488
Comment 7 Fedora Update System 2008-06-26 04:31:01 EDT
wine-1.0-1.fc9, wine-docs-1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-06-26 04:34:36 EDT
wine-1.0-1.fc8, wine-docs-1.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.